### Method

# Template Scope set_string

#### Declaration

    void
    tmpl_scope_set_string (
      TmplScope* self,
      const gchar* name,
      const gchar* value
    )

#### Description

Sets the value of the symbol named `name` to a string matching `value`.

#### Parameters

`name`

  Type: `const gchar*`

  A name for the symbol.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A string or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.